Description

In the Qt UI, version 4.0.1 there are a couple of confusing things:

1. The clear the playlist when opening files option is confusing because it only works when using Open Files or Open Folder but not

when using Add Files or Add Folder. With the availability of both Open and Add Files/Folder, one would think the option is not

needed at all.

2. Open Files/Folder and Add Files/Folder - One would think because of the presence of both options (technically 4) that you wouldn't

need the Clear the playlist when opening files option and Open Files/Folder will just clear the playlist and that files/folders will just be

added at the end when using the Add Files/Folder option.

3. With the Open/Add Files options you can no longer add/open a whole album by selecting the folder and clicking Add/Open or

adding/opening a song with the Add/Open Folder option yet you can expand a folder where there are no files inside it.

So, my feature request/suggestion is the following:

Leave the clear the playlist when opening files option in settings, but merge the Add/Open options (they are hella confusing. I kept

choosing one when wanting the other) and merge the File/Folder option to what it used to be: I.e. When you select a folder and hit

the Add button it gets added (the playlist gets cleared only if the Clear the playlist when opening files option is selected), while if you

double click it, you enter into the folder and hitting Add can still add the folder but to add a specific file or files you have to double

click it or select them. I mean you know what I mean, the way it used to be. It's been done this way since forever and everyone is

used to this.

TL;DR Merge Add Files, Add Folder, Open Files and Open Folder to just Add Files.

History

#1 - April 14, 2020 11:12 - IFo Hancroft

I realized I may be wrong that the options have been before the way I suggest them to be now, but my point/feature request still stands that there

shouldn't be separate Add/Open and separate Folder/File

#2 - April 14, 2020 13:24 - John Lindgren

- Status changed from New to Rejected

1. Separate "Open Files" and "Add Files" options are not new. These have been separate since Audacious 1.0.0 and are not going away now

because you find them confusing.

2. Separate "Open/Add Files" and "Open/Add Folder" are due to a limitation of Qt. QFileDialog::FileMode does not have an option to select both files

and folders

1

.

3. See (2).

1

 https://doc.qt.io/qt-5/qfiledialog.html#FileMode-enum

#3 - April 16, 2020 20:55 - IFo Hancroft

In that case, can we get the Clear the playlist when opening files option working when turned on regardless of whether the Add or Open options are

used?
#4 - April 17, 2020 00:47 - John Lindgren

IFo Hancroft wrote:

In that case, can we get the Clear the playlist when opening files option working when turned on regardless of whether the Add or Open options

are used?

 

I had to read that a few times to make sure I understand -- you want "Add Files" to (optionally) clear the playlist? No, we're not doing that. It makes no

sense. "Add" means you keep what's already there and, well, add to it.

#5 - April 17, 2020 09:06 - IFo Hancroft

Fair enough.

In this case though, can we get rid of the Clear the playlist when opening files option and just make that the default behaviour for the Open

Files/Folder options?

#6 - April 17, 2020 14:08 - John Lindgren

"Clear the playlist when opening files" is the default already.

We are not going to remove options because you personally find them confusing. That's not our style here.
